* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    scroll-behavior: smooth;
    font-family: 'poppins', sans-serif;
}

body {
    color: #ededed;
    background: #081b29;
    margin: 0;
  padding: 0;
  overflow-x: hidden;
}

.header {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    padding: 20px 105;
    background-color: #051129;
    display: flex;
    justify-content: space-between;
    align-items: center;
    z-index: 100;
}

.logo {
    position: relative;
    font-size: 25px;
    color: #fff;
    text-decoration: none;
    font-weight: 600;
    cursor: default;
    opacity: 0;
    animation: slideRight 1s ease forwards;
}

.navbar a {
    display: inline-block;
    font-size: 25px;
    color: #fff;
    text-decoration: none;
    font-weight: 500;
    margin-left: 35px;
    transition: .3s;
    opacity: 0;
    animation: slideTop .5s ease forwards;
    animation-delay: calc(.2s * var(--i));
}

.navbar a:hover {
    color: #0ef;

}

.Home {
    position: relative;
    width: 100%;
    justify-content: space-between;
    height: 100vh;
    background: url("https://area31aa.org/wp-content/uploads/2023/11/cropped-0a1828a-2000x1200-1-1024x615.png") no-repeat;
    background-size: cover;
    background-position: center;
    display: flex;
    align-items: center;
    padding: 70px 10% 0;
}

.Home-content {
    max-width: 600px;
}

.Home-content h2 {
    font-size: 56px;
    font-weight: 700;
    margin: -3px 0;
    opacity: 0;
    animation: slideRight 1s ease forwards;
    animation-delay: 1s;
}

.Home-content h3 {
    font-size: 32px;
    font-weight: 700;
    opacity: 0;
    animation: slideBottom 1s ease forwards;
    animation-delay: .7s;
}

.Home-content h3:nth-of-type(2) {
    margin-bottom: 30px;
    animation: slideTop 1s ease forwards;
    animation-delay: .7s;
}

.Home-content h3 span {
    color: #0ef;
}

.Home-content p {
    font-size: 20px;
    opacity: 0;
    animation: slideLeft 1s ease forwards;
    animation-delay: 1s;
    text-align: justify;
}
.Home-img {
  flex: 1;
  display: flex;
  justify-content: center;
  align-items: center;
}

.Home-img img {
  width: 350px;
  height: 350px;
  border-radius: 50%;
  object-fit: cover;
  animation: glowPulse 3s infinite;
  box-shadow: 0 0 25px #0ef;
  transition: transform 0.3s ease;
}

.Home-img img:hover {
  transform: scale(1.05);
  box-shadow: 0 0 30px #0ef;
}






.Home-sci a {
    display: inline-flex;
    justify-content: center;
    align-items: center;
    width: 40px;
    height: 40px;
    background: transparent;
    border: 2px solid#0ef;
    border-radius: 50%;
    font-size: 20px;
    color: #0ef;
    text-decoration: none;
    transition: .5s ease;
    opacity: 0;
    animation: slideLeft 1s ease forwards;
    animation-delay: calc(.2s *var(--1));
    margin: 30px 15px 30px 0;
}

.Home-sci a:hover {
    background: #0ef;
    color: black;
    box-shadow: 0 0 20px #0ef;
}

.btn-box{
    display: inline-block;
    padding: 12px 28px;
    background: #0ef;
    border-radius: 40px;
    font-size: 16px;
    color: black;
    letter-spacing: 1px;
    text-decoration: none;
    font-weight: 600;
    opacity: 0;
    animation: slideTop 1s ease forwards;
    animation-delay: 2s;
    box-shadow: 0 0 5px rgb(229, 49, 205),
        0 0 25px #0ef;

}

.btn-box:hover {
    box-shadow: 0 0 5px cyan,
        0 0 25px cyan, 0 0 50px cyan,
        0 0 100px cyan, 0 0 200px cyan;
}





.about{
    display: grid;
    grid-template-columns: repeat(2,1fr);
    align-items: center;
    gap: 1.5rem;
  
}
.about-img {
  display: flex;
  justify-content: center;
  align-items: center;
  padding-top: 30px;
  padding-bottom: 30px;
  padding-left: 20px;
}
.about-img img {
  width: 250px;
  height: 250px;
  object-fit: cover;
  border-radius: 50%;
  box-shadow: 0 0 20px #0ef;
  transition: transform 0.4s ease, box-shadow 0.4s ease;
}
.about-img img:hover {
  transform: scale(1.05);
  box-shadow: 0 0 30px #0ef;
}
.about-img img {
  animation: glowPulse 3s infinite;
}


.about-text h2{
    font-size: 60px;
}
.about-text h2 span{
    color: #0ef;
}
.about-text h4{
    font-size: 29px;
    font-weight: 600;
    color: #fff;
    line-height: 1.7;
    margin: 15px 0 30px;
}
.about-text p{
    color: aliceblue;
    font-size: 20px;
    line-height: 1.4;
    margin-bottom: 4rem;
    animation: slideLeft 1s ease forwards;
    animation-delay: 1s;
}





#services{
    color: aliceblue;
    font-size: 20px;
    line-height: 1.4;
    margin-bottom: 4rem;
}
.sub-title{
    text-align: center;
    font-size: 60px;
    padding-bottom: 70px;
}
.sub-title span{
    color: #0ef;
}
.container{
    padding: 90px;
}
.services-list{
    display: grid;
    grid-template-columns: repeat(auto-fit,minmax(370px,1fr));
    grid-gap: 40px;
    margin-top: 50px;
}
.services-list div{
    min-height: 450px;
    max-height: 450px;
    overflow: auto;
    display: flex;
    overflow-y: auto;
    scroll-behavior: smooth;
    flex-direction: column;
    justify-content: space-between;
    background-color: transparent;
    padding: 40px;
    font-size: 13px;
    font-weight: 13px;
    border-right: 10px;
    border-radius: 20px;
    transition: background 0.5s, transform 0.5s;
    box-shadow: 1px 1px 20px #012290f7,
                1px 1px 40px #012290f7 ;
}


.services-list div::-webkit-scrollbar {
    width: 8px;
}

.services-list div::-webkit-scrollbar-track {
    background-color: transparent;
}

.services-list div::-webkit-scrollbar-thumb {
    background-color: #012290f7;  /* Same glowing blue as your box shadow */
    border-radius: 10px;
    border: 2px solid transparent;
    background-clip: padding-box;
}
.services-list div::-webkit-scrollbar-thumb:hover {
    background-color: #012290; /* Slightly stronger version on hover */
}
.services p {
  font-size: 14px;
  color: #fff;
  line-height: 1.5;
  text-align: justify;
 
}

.services-list div h2{
    font-size: 30px;
    font-weight: 500;
    margin-bottom: 15px;
    color: #0ef;
    text-align: justify;
}
.services-list div a{
    text-decoration: none;
    color: #000;
    font-size: 12px;
    margin-top: 20px;
    display: inline-block;
}
.read{
    display: inline-block;
    padding: 12px 28px;
    background: #0ef;
    border-radius: 40px;
    font-size: 16px;
    color: #081b29;
    letter-spacing: 1px;
    text-decoration: none;
    font-weight: 600;
    opacity: 0;
    animation: slideTop 1s ease forwards;
    box-shadow: 0 0 5px #0ef,
                0 0 25px #0ef;

}
.read:hover{
    
    box-shadow: 0 0 25px cyan,
    0 0 25px cyan, 0 0 50px cyan,
    0 0 100px cyan,0 0 200px cyan;
}
.services-list div:hover{
    transform: translateY(-10px);
}
section {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: flex-start;
}
.container1 {
  width: 45%;
  margin: 30px 2.5%;
  padding: 30px 20px;
}
.heading1{
    text-align: center;
    text-decoration: underline;
    text-underline-offset: 10px;
    text-decoration-thickness: 5px;
    margin-bottom: 50px;
}
@media (max-width: 768px) {
  section {
    flex-direction: column;
    align-items: center;
  }

  .container1 {
    width: 90%;
    margin: 20px auto;
    padding: 20px 15px;
  }

  .heading1 {
    font-size: 1.5rem;
    margin-bottom: 20px;
    text-align: center;
  }

  .technical-bars,
  .radial-bars {
    flex-direction: column;
    align-items: center;
  }

  .bars,
  .radial-bar {
    width: 100%;
    margin: 10px 0;
  }

  .progress-line span::after,
  .progress-line span::before {
    left: 50%;
    right: auto;
    transform: translateX(-50%);
  }

  .percentage,
  .text {
    text-align: center;
  }
}


.technical-bars,
.radial-bars {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
}
.bars,
.radial-bar {
  width: 100%;
  margin-bottom: 25px;
}
svg {
  max-width: 100%;
}


.bars{
    font-size: 23px;
}
.technical-bars .bars{
    margin-top: 40px 0;
}
.technical-bars .bars:first-child{
    margin-top: 0;
}
.technical-bars .bars:last-child{
    margin-bottom: 0;
}
.technical-bars .bars .info{
    margin-bottom: 5px;
}
.technical-bars .bars .info span{
    font-size: 17px;
    font-weight: 500;
    animation: showText 0.5s 1s linear forwards;
    opacity: 0;
}
.technical-bars .bars .progress-line{
    position: relative;
    border-radius: 10px;
    width: 100%;
    height: 5px;
    background-color: #000;
    animation: animate 1s cubic-bezier(1,0,0.5,1) forwards;
    transform: scaleX(0);
    transform-origin: left;
}
@keyframes animate {
    100%{
        transform: scaleX(1);
    }
}
.technical-bars .bars .progress-line span{
    height: 100%;
    background-color: #0ef;
    position: absolute;
    border-radius: 10px;
    animation: animate 1s 1s cubic-bezier(1,0,0.5,1) forwards;
    transform: scaleX(0);
    transform-origin: left;
}

.progress-line.html span{
    width: 90%;
}
.progress-line.css span{
    width: 85%;
}
.progress-line.java span{
    width:80%;
}
.progress-line.python span{
    width:80%;
}
.progress-line.c span{
    width: 70%;
}
.progress-line.mysql span{
    width: 85%;
}
.progress-line.java-script span{
    width: 90%;
}
.progress-line.machine-learning span{
    width: 95%;
}
.progress-line span::after{
    position: absolute;
    padding: 1px 8px;
    background-color: #000;
    color: #fff;
    font-size: 12px;
    border-radius: 3px;
    top: -28px;
    right: -20px;
    animation: showText 0.5s 1.5s linear forwards;
    opacity: 0;
}
.progress-line.html span::after{
    content:"90%";
}
.progress-line.css span::after{
    content:"85%";
}
.progress-line.java span::after{
    content:"80%";
}
.progress-line.python span::after{
    content:"80%";
}
.progress-line.c span::after{
    content:"70%";
}
.progress-line.mysql span::after{
    content:"85%";
}
.progress-line.java-script span::after{
    content:"90%";
}
.progress-line.machine-learning span::after{
    content:"95%";
}
.progress-line span::before{
    content: "";
    position: absolute;
    width: 0;
    height: 0;
    border: 7px solid transparent;
    border-bottom-width: 0px;
    border-right-width: 0px;
    border-top-color: #000;
    top:-10px;
    right: 0;
    animation: showText 0.5s 1.5s linear forwards;
    opacity: 0;
}
@keyframes showText{
    100%{
        opacity: 1;
    }
}

.radial-bars {
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-evenly;
    align-items: flex-start;
}
.radial-bars .radial-bar{
    width: 50%;
    height: 170px;
    margin-bottom: 10px;
    position: relative;
}
.radial-bars .radial-bar svg{
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%) rotate(-90deg);
    width: 120%;
    height: 160px;
}
.radial-bars .radial-bar .progress-bar{
    stroke-width: 10;
    stroke: black;
    fill: transparent;
    stroke-dasharray: 502;
    stroke-dashoffset: 502;
    stroke-linecap: round;
    animation: animate-bar 1s linear forwards;
}
@keyframes animate-bar{
    100%{
        stroke-dashoffset:  -1;
    }
}
.path{
    stroke-width: 10;
    stroke: #0ef;
    fill: transparent;
    stroke-dasharray: 502;
    stroke-dashoffset: 502;
    stroke-linecap: round;
}
.path-1{animation: animate-path1 1s 1s linear forwards;}
.path-2{animation: animate-path2 1s 1s linear forwards;}
.path-3{animation: animate-path3 1s 1s linear forwards;}
.path-4{animation: animate-path4 1s 1s linear forwards;}


@keyframes animate-path1{
    100%{
        stroke-dashoffset: 50;;
    }
}
@keyframes animate-path2{
    100%{
        stroke-dashoffset: 60;;
    }
}

@keyframes animate-path3{
    100%{
        stroke-dashoffset: 125;;
    }
}

@keyframes animate-path4{
    100%{
        stroke-dashoffset: 75;;
    }
}
.radial-bar .percentage{
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    font-size: 17px;
    font-weight: 500;
    animation: showText 0.5s 1s linear forwards;
    opacity: 0;
}
.radial-bar .text{
    width: 100%;
    position: absolute;
    text-align: center;
    left: 50%;
    bottom: -5px;
    transform: translateX(-50px);
    font-size: 17px;
    font-weight: 500;
    animation: showText 0.5s 1s linear forwards;
    opacity: 0;

}


.main-text{
    padding-top: 130px;
    margin-top: 200px;
}
.main-text h2{
    font-size: 60px;
    line-height: 1;
    text-align: center;
}
.main-text h2 span{
    color: #0ef;
}

.sub-title {
  font-size: 60px;
  text-align: center;
  margin-bottom: 50px;
}
.sub-title span {
  color: #0ef;
}

.portfolio-content {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(370px, 1fr));
  gap: 40px;
  margin-top: 50px;
  padding:0 90px;
}
.training-card {
  min-height: 450px;
  max-height: 450px;
  overflow-y: auto;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  padding: 40px;
  border-radius: 20px;
  box-shadow: 1px 1px 20px #012290f7,
              1px 1px 40px #012290f7;
  transition: background 0.5s, transform 0.5s;
}
.training-card img {
  width: 100%;
  border-radius: 8px;
  transition: transform 0.5s;
}
.training-card:hover img {
  transform: scale(1.1);
}
.project-title {
  font-size: 22px;
  font-weight: 600;
  color: #0ef;
  text-align: center;
  margin-bottom: 15px;
}
/* Scrollbar Styles */
.training-card::-webkit-scrollbar {
  width: 8px;
}
.training-card::-webkit-scrollbar-track {
  background-color: transparent;
}
.training-card::-webkit-scrollbar-thumb {
  background-color: #012290f7;
  border-radius: 10px;
  border: 2px solid transparent;
  background-clip: padding-box;
}
.training-card::-webkit-scrollbar-thumb:hover {
  background-color: #012290;
}





.layer {
  width: 100%;
  background: linear-gradient(rgba(0, 0, 0, 0.1), #0ef);
  border-radius: 8px;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  text-align: center;
  padding: 20px 40px;
  transition: background 0.5s;
}

.layer h5{
    color: #000;
    font-size: 20px;
    font-weight: 600;
    margin-bottom: 15px;
}
.layer h5 {
  font-size: 20px;
  color: #0ef;
  margin-bottom: 10px;
}

.layer p {
  font-size: 14px;
  color: #fff;
  line-height: 1.5;
  text-align: justify;
}


 .contact{
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    align-items: center;
    gap: 3rem;
    padding-left: 30px;
    margin-top: 130px;
 }
 .contact-text h2{
    font-size: 90px;
    line-height: 1;
    text-align: center;
 }
 .contact-text h2 span{
    color: #0ef;
 }
 .contact-text h4{
    margin: 15px 0;
    color: rgb(228,228,228);
    font-size: 20px;
    font-weight: 600;
 }
 .contact-text p{
    color: rgb(177,177,177);
    font-size: 20px;
    line-height: 30px;
    margin-bottom: 2rem;
 }
 .contact-list{
    margin-bottom: 3rem;
 }
 .contact-list li{
    margin-bottom: 10px;
    display: block;
 }
 .contact-list li{
    margin-bottom: 10px;
    display: block;
 }
 .contact-list i{
    display: inline-block;
    color: #0ef;
    font-size: 20px;
    font-weight: 600;
    transition: all .40s ease;
 }
 .contact-list li a:hover{
    transform: scale(1.01) translateY(-5px);
 }
 .contact-icons i{
    display: inline-flex;
    justify-content: center;
    align-items: center;
    width: 40px;
    height: 40px;
    background: transparent;
    border: 2px solid #0ef;
    border-radius: 50%;
    font-size: 20px;
    color: #0ef;
    text-decoration: none;
    margin: 30px 15px 30px  0;
    transition: .5s ease;
    opacity: 0;
    animation: slideLeft 1s ease forwards;
    animation-delay: calc(.2s * var(--i));
 }
.contact-icons i:hover{
    background: #0ef;
    color: #000;
    box-shadow: 0 0 20px #0ef;
}
.contact-form form{
    position: relative;
}
.contact-form form input,form textarea{
    border: none;
    outline: none;
    width: 90%;
    padding: 18px;
    background-color: #555557;
    color: #000;
    font-weight: 600;
    font-size: 1rem;
    margin-bottom: 0.5rem;
    border-radius: 0.5rem;
}
.contact-form textarea{
    resize: none;
    height: 220px;
}
.contact-form form .send{
     display: inline-block;
    padding: 12px 28px;
    background: #0ef;
    border-radius: 40px;
    font-size: 16px;
    color: #081b29;
    letter-spacing: 1px;
    text-decoration: none;
    font-weight: 600;
    opacity: 0;
    animation: slideTop 1s ease forwards;
    box-shadow: 0 0 5px #0ef,
                0 0 25px #0ef;
}
.contact-form form .send:hover{
    
    box-shadow: 0 0 25px cyan,
    0 0 25px cyan, 0 0 50px cyan,
    0 0 100px cyan,0 0 200px cyan;
}
.last-text p{
    width: 100%;
    text-align: center;
    padding: 25px 0;
    background: rgb(7,85,91);
    font-weight: 300;
    margin-top: 70px;
}
.top{
    position: fixed;
    bottom: #0ef;
    right: 2.1rem;
}
.top i{
    color: #000;
    background: #0ef;
    font-size: 20px;
    padding: 10px;
    border-radius: 0.5rem;
}


.last-text {
  padding: 5px 2px;
  text-align: center;
  background-color: #081b29;
  color: #fff;
  font-size: 14px;
  line-height: 1.6;
}

.last-text strong {
  color: #0ef;
}

.top {
  position: fixed;
  bottom: 5px;
  right: 5px;
  font-size: 20px;
  background-color: #0ef;
  color: #012290;
  padding: 10px;
  border-radius: 5%;
  box-shadow: 0 0 10px #0ef;
  transition: transform 0.3s ease;
}

.top:hover {
  transform: scale(1.1);
}

@keyframes slideRight {
    0% {
        transform: translateX(-100px);
        opacity: 0;
    }

    100% {
        transform: translateX(0px);
        opacity: 1;
    }
}

@keyframes slideTop {
    0% {
        transform: translateY(100px);
        opacity: 0;
    }

    100% {
        transform: translateY(0px);
        opacity: 1;
    }
}

@keyframes slideBottom {
    0% {
        transform: translateY(-100px);
        opacity: 0;
    }

    100% {
        transform: translateY(0px);
        opacity: 1;
    }
}

@keyframes slideLeft {
    0% {
        transform: translateX(100px);
        opacity: 0;
    }

    100% {
        transform: translatex(0px);
        opacity: 1;
    }
}
@keyframes glowPulse {
  0% { box-shadow: 0 0 10px #0ef; }
  50% { box-shadow: 0 0 25px #0ef; }
  100% { box-shadow: 0 0 10px #0ef; }
}
@media (max-width: 768px) {
  .about {
    grid-template-columns: 1fr;
    text-align: center;
  }

  .about-text p {
    text-align: justify;
  }
}
@media (max-width: 768px) {
  .Home {
    flex-direction: column-reverse;
    align-items: center;
    height: auto;
    padding: 40px 20px;
    text-align: center;
  }

  .Home-content {
    width: 100%;
    max-width: 500px;
    margin: 0 auto;
    padding: 15px 10px;
  }

  .Home-img {
    width: 100%;
    display: flex;
    justify-content: center;
    margin-bottom: 20px;
  }

  .Home-img img {
    width: 200px;
    height: 200px;
    object-fit: cover;
  }

  .btn-box {
    margin-top: 20px;
  }

  .Home-sci {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    gap: 10px;
    margin-top: 20px;
  }
}





